<!DOCTYPE html>
<html lang="ru">

<head>
    <meta charset="utf-8">
    <title>Домашнее задание к лекции 4.5 «Технология AJAX». Задание 1.</title>
    <link rel="stylesheet" href="main.css" type="text/css"  rel="stylesheet" /> 
</head>

<body>

    <form id="form" method="post" action="http://netology-hj-ajax.herokuapp.com/homework/login_json" enctype="application/x-www-form-urlencoded" data-role="json-request-form">
        <label for="email">
            Email:
            <input type="email" name="email" value="" data-role="json-request-form-login" placeholder="Укажите ваш Email" title="Введите от 3 до 20 символов" name="Email" pattern="[А-Яа-яA-Za-z0-9_@.-]{3,20}"  maxlength="20" id="email" />
        </label>
        <label for="pass">
            Пароль:
            <input type="password" name="password" value="" data-role="json-request-form-password" placeholder="Введите пароль" id="pass"/>
        </label>
        <button type="submit" data-role="json-request-form-submit" class="btn-enter">Войти</button>
        <button data-role="json-request-user-profile-logout" class="btn-logout">Выход</button>
        <button class="btn-registration" data-role="json-request-user-profile-logout" class="btn-register">Регистрация</button>
    </form>
        <span id="preloader" class="preloader" data-role="json-request-preloader">
            Загрузка....
        </span>

        
        <div data-role="json-request-error" class="warning-txt"></div>

    <div class="profile" data-role="json-request-user-profile">
            Мой профайл
        <!-- user profile should be displayed here after successfull login -->

        <img src="#" alt="" data-role="json-request-user-profile-avatar" />
        <span class="name-profile" data-role="json-request-user-profile-fullname">
            <!-- full name here (name lastname) -->
        </span>
        <span class="country-profile" data-role="json-request-user-profile-country">
            <!-- country here -->
        </span>
        <span class="hobbies-profile" data-role="json-request-user-profile-hobbies">
            <!-- hobbies here, comma separated -->
        </span>

    </div>


<script src="common.js"></script> 
</body>

</html>
